Debian fórum

Dotazy => Všeobecná podpora => Téma založeno: Enigma 02. 02. 2016, 22:49:14

Název: Debian Stretch/testing: Od aktualizace nefunguje dragonplayer a vlc
Přispěvatel: Enigma 02. 02. 2016, 22:49:14
Dávám na vědomí, že od poslední aktualizace nefunguje dragonplayer a vlc. Na příkazovém řádku dostanu následující.
Dragon:
Kód: [Vybrat]
Neoprávněný přístup do paměti (SIGSEGV)VLC:
Kód: [Vybrat]
VLC media player 2.2.1 Terry Pratchett (Weatherwax) (revision 2.2.1-0-ga425c42)
Neoprávněný přístup do paměti (SIGSEGV)
Název: Re:Debian Stretch/testing: Od aktualizace nefunguje dragonplayer a vlc
Přispěvatel: Roman Horník 02. 02. 2016, 23:53:41
Myslím, že doteď, než mi přišla verze 2.2.2, jsem na Sidovi měl 2.2.1 a doposledka naprosto v poho.
Může to bejt chyba specifická pro určitej hardware, architekturu, ovladače (třeba grafiky), nějakou pro ně společnou knihovnu. Mohlo to přijít s aktualizací, ale taky nemuselo.
Osobně mám 32bitovýho Sida, CPU Intel Dual Core E8500, grafiku NV GTX650 s proprietárním ovladačem 352.79 z repa a jádro 4.4 s vlastní konfigurací.
Bohužel to VLC zrovna moc výřečný není a signál SIGSEGV může vyhodit z mnoha různejch důvodů. Pokud by ještě něco nešlo a to něco bylo výřečnější, že by ideálně uvedlo důvod, bylo by to paradoxně fajn. Zkus třeba MPlayer, FFPlay (od FFMPEG), Xine, Totem, kterej běží na GStreameru. Zatím vidím jen 2 společný věci - videopřehrávač a Qt (může se to tlouct s něčím z KDE).
Název: Re:Debian Stretch/testing: Od aktualizace nefunguje dragonplayer a vlc
Přispěvatel: 7R7. 03. 02. 2016, 01:20:17
Mám tiež testing, práve som upgradoval a žiadny problém
# dpkg -l | grep vlc
ii  libvlc5                                           1:2.2.1-dmo14                          amd64        multimedia player and streamer library
ii  libvlccore8                                       1:2.2.1-dmo14                          amd64        base library for VLC and its modules
ii  phonon-backend-vlc:amd64                          1:0.8.2-dmo4                           amd64        Phonon VLC backend
ii  phonon4qt5-backend-vlc:amd64                      1:0.8.2-dmo4                           amd64        Phonon4Qt5 VLC backend
ii  vlc                                               1:2.2.1-dmo14                          amd64        multimedia player and streamer
ii  vlc-data                                          1:2.2.1-dmo14                          all          Common data for VLC
ii  vlc-nox                                           1:2.2.1-dmo14                          amd64        multimedia player and streamer (without X support)
ii  vlc-plugin-notify                                 1:2.2.1-dmo14                          amd64        LibNotify plugin for VLC
ii  vlc-plugin-pulse                                  1:2.2.1-dmo10                          all          transitional dummy package for vlc

# dpkg -l | grep dragon
ii  dragonplayer                                      4:15.08.3-1                            amd64        simple video player

Název: Re:Debian Stretch/testing: Od aktualizace nefunguje dragonplayer a vlc
Přispěvatel: Enigma 03. 02. 2016, 09:28:41
Dragon a VLC jdou již spustit po instalaci nového ovladače nVidia grafiky, ovšem ze stránek nVidia, ne z repozirářů. Mohli bychom napsat vyřešeno, ale ještě bych byl opatrný.
Název: Re:Debian Stretch/testing: Od aktualizace nefunguje dragonplayer a vlc
Přispěvatel: marp 03. 02. 2016, 10:19:06
No, mě se odinstaloval gimp i vlc - oba používám velice často...
Kód: [Vybrat]
Následující balíky mají nesplněné závislosti:
 gimp : Závisí na: libgegl-0.3-0 (>= 0.3.0) ale nebude se instalovat
 vlc : Závisí na: vlc-nox (= 1:2.2.1-dmo14) ale nebude se instalovat
       Závisí na: libavcodec56 (>= 10:2.8.5) ale 10:2.6.5-dmo1 se bude instalovat
       Doporučuje: vlc-plugin-notify (= 1:2.2.1-dmo14) ale nebude se instalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.
Název: Re:Debian Stretch/testing: Od aktualizace nefunguje dragonplayer a vlc
Přispěvatel: Roman Horník 03. 02. 2016, 11:14:14
No hele, já tohle řeším jednak v Synapticu, kde vidím, jestli aktualizace něčeho nebude chtít něco jinýho odstranit - pak konkrétní balík neupgraduju, jednak tím, že si jednou za čas pročišťuju systém od nepotřebnejch balíků, který by klidně mohly prasit závislosti jinejch balíků.
Existuje např. GTKOrphan, ale zpravidla není moc účinnej, tak to dělám ručně v Synapticu, kde jednu knihovnu po druhý ručně koštuju, jestli je vůbec potřebná. Totiž kolikrát se stane, že si nějakej program vypůjčí v jedný verzi knihovnu, ale v dalších verzích ji nepotřebuje, takže tam bez potřeby zůstane.
Je to pracný, ale obecně platí, že čím míň balíků, tím nižší šance, že dojde k problémům se závislostma.
Název: Re:Debian Stretch/testing: Od aktualizace nefunguje dragonplayer a vlc
Přispěvatel: 7R7. 03. 02. 2016, 12:59:32
Dragon a VLC jdou již spustit po instalaci nového ovladače nVidia grafiky, ovšem ze stránek nVidia, ne z repozirářů. Mohli bychom napsat vyřešeno, ale ještě bych byl opatrný.
No ja mám tiež NVidiu a ovládače priamo zo stránok NVidie.
Ja to riešim cez konzolu a pri každom upgrade to vyčistím.